Status: Closed Priority: Low

Author: Dionysis Zindros Category: kamaki
Updated: 05/17/2013 Due date:

Subject: Prefix support for list_objects

Description

OpenStack v1 supports a "prefix" parameter to the GET operation used to list objects

1

. kamaki.clients.pithos.rest_api already supports

this.

Please add support to the kamaki library for this parameter to the list_objects() function.

[1] http://docs.openstack.org/api/openstack-object-storage/1.0/content/list-objects.html

History

#1 - 04/15/2013 05:07 pm - Stavros Sachtouris

- Target version set to v0.8

#2 - 04/15/2013 05:56 pm - Stavros Sachtouris

- Status changed from New to Resolved

- % Done changed from 0 to 100

#3 - 04/24/2013 12:38 pm - Stavros Sachtouris

- Status changed from Resolved to Closed

#4 - 04/24/2013 12:49 pm - Stavros Sachtouris

- Target version changed from v0.8 to v0.9

- % Done changed from 100 to 0

#5 - 05/17/2013 01:16 pm - Stavros Sachtouris

- % Done changed from 0 to 100
